Bug 187829 - Problems syncing volume controls
Problems syncing volume controls
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Depends On:
  Show dependency treegraph
Reported: 2006-04-03 15:40 EDT by Simon Goodall
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-14 13:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 341021 None None None Never
GNOME Desktop 343848 None None None Never

  None (edit)
Description Simon Goodall 2006-04-03 15:40:53 EDT
Description of problem:
When I have multiple volume contol panels open, some controls are synced but
others are not. Volume control sliders sync when they are not muted, but if they
are muted, then I can slide one and the others stay where they are.
I also have a "external amplifier" switch which is not synced at all. I can have
two volume controls open with one saying its enabled and one saying its not enabled.

It seems to me that they should all be synced or not at all rather than some
being synced depending on settings.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Bastien Nocera 2007-08-21 10:29:35 EDT
Simon, is this still a problem in Fedora 7? Otherwise, I'll report this upstream.
Comment 2 Simon Goodall 2007-08-21 10:37:51 EDT
Part of this bug is still a problem. The sliders still do not stay in sync when
muted. The external amplifier check box does stay in sync now.
Comment 3 Bastien Nocera 2007-10-11 06:10:57 EDT
gnome-volume-control needs updating to use the events sent over GStreamer to
update its state.
Comment 4 Bastien Nocera 2007-10-14 13:45:22 EDT
Work should be done upstream for that.

See this upstream bug:

Note You need to log in before you can comment on or make changes to this bug.